Skip to main content
POST
/
api
/
serviceAccounts
/
v1
/
serviceAccounts
/
{serviceAccountIdpId}
/
tokengitcredentials
cURL
curl --request POST \
  --url https://api.example.com/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokengitcredentials \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "token": "<string>",
  "domain": "<string>"
}
'
{
  "credential": {
    "domain": "github.com",
    "fingerprint": "ba:78:09:d8:4b:3b:09:9b:43:bf:9b:5a:34:f7:3f:28",
    "id": "<string>",
    "name": "My creds",
    "protocol": "https"
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

serviceAccountIdpId
string
required

Body

application/json

The Git token to associate with the service account

gitServiceProvider
enum<string>
required

Git service provider

Available options:
bitbucket,
bitbucketServer,
github,
githubEnterprise,
gitLab,
gitLabEnterprise,
unknown
name
string
required
token
string
required
domain
string

Response

Associates Git credentials with a service account

credential
object
required
metadata
object
required